Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:50 2009

## Asterisk developer's documentation

# sip_peer Struct Reference

Collaboration diagram for sip_peer:

[legend]

## Public Member Functions

| ASTOBJ_COMPONENTS (struct sip_peer)

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
struct sockaddr_in | addr
int | amaflags
struct sip_auth * | auth
struct sip_pvt * | call
int | call_limit
ast_group_t | callgroup
int | callingpres
int | capability
struct ast_variable * | chanvars
char | cid_name [80]
char | cid_num [80]
char | context [AST_MAX_CONTEXT]
struct sockaddr_in | defaddr
int | expire
unsigned int | flags
struct ast_flags | flags_page2
char | fromdomain [MAXHOSTNAMELEN]
char | fromuser [80]
char | fullcontact [SIP_LEN_CONTACT]
struct ast_ha * | ha
int | inUse
char | language [MAX_LANGUAGE]
int | lastms
int | lastmsg
time_t | lastmsgcheck
int | lastmsgssent
char | mailbox [AST_MAX_EXTENSION]
int | maxms
char | md5secret [80]
char | musicclass [MAX_MUSICCLASS]
ast_group_t | pickupgroup
int | pokeexpire
struct ast_codec_pref | prefs
struct timeval | ps
char | regexten [AST_MAX_EXTENSION]
int | rtpholdtimeout
int | rtpkeepalive
int | rtptimeout
char | secret [80]
unsigned int | sipoptions
char | subscribecontext [AST_MAX_CONTEXT]
char | tohost [MAXHOSTNAMELEN]
char | useragent [256]
char | username [80]
char | vmexten [AST_MAX_EXTENSION]

## Detailed Description

Definition at line 751 of file chan_sip.c.

## Member Function Documentation

ASTOBJ_COMPONENTS | ( | struct | sip_peer | ) |

name, refcount, objflags, object pointers peer->name is the unique name of this object

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Account code

Definition at line 760 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and function_sippeer().

struct sockaddr_in addr`[read]`

IP address of peer

Definition at line 790 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), create_addr_from_peer(), expire_register(), function_sippeer(), parse_register_contact(), reg_source_db(), sip_addrcmp(), sip_devicestate(), sip_do_debug_peer(), sip_poke_peer(), sip_send_mwi_to_peer(), temp_peer(), and update_peer().

int amaflags

AMA Flags (for billing)

Definition at line 761 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and check_user_full().

struct sip_auth* auth`[read]`

Realm authentication list

Definition at line 756 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and sip_destroy_peer().

struct sip_pvt* call`[read]`

Call pointer

Definition at line 793 of file chan_sip.c.

Referenced by handle_response_peerpoke(), sip_destroy_peer(), sip_poke_noanswer(), and sip_poke_peer().

int call_limit

Limit of concurrent calls

Definition at line 771 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), function_sippeer(), sip_devicestate(), and update_call_counter().

ast_group_t callgroup

Call group

Definition at line 788 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and create_addr_from_peer().

int callingpres

Calling id presentation

Definition at line 769 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and check_user_full().

int capability

Codec capability

Definition at line 784 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), function_sippeer(), and temp_peer().

struct ast_variable* chanvars`[read]`

Variables to set for channel created by user

Definition at line 801 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and sip_destroy_peer().

char cid_name[80]

Caller ID name

Definition at line 768 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and function_sippeer().

char cid_num[80]

Caller ID num

Definition at line 767 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and function_sippeer().

char context[AST_MAX_CONTEXT]

Default context for incoming calls

Definition at line 757 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), function_sippeer(), and temp_peer().

struct sockaddr_in defaddr`[read]`

Default IP address, used until registration

Definition at line 799 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), create_addr_from_peer(), sip_devicestate(), and sip_send_mwi_to_peer().

int expire

When to expire this peer registration

Definition at line 783 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), expire_register(), function_sippeer(), parse_register_contact(), realtime_peer(), reg_source_db(), sip_destroy_peer(), and temp_peer().

unsigned int flags

SIP flags

Definition at line 780 of file chan_sip.c.

struct ast_flags flags_page2`[read]`

SIP_PAGE2 flags

Definition at line 782 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), destroy_association(), expire_register(), function_sippeer(), parse_register_contact(), realtime_peer(), reg_source_db(), register_verify(), sip_prune_realtime(), temp_peer(), and update_peer().

char fromdomain[MAXHOSTNAMELEN]

From: domain when calling this peer

Definition at line 765 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and create_addr_from_peer().

char fromuser[80]

From: user when calling this peer

Definition at line 764 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and create_addr_from_peer().

char fullcontact[SIP_LEN_CONTACT]

Contact registered with us (not in sip.conf)

Definition at line 766 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), parse_register_contact(), reg_source_db(), sip_poke_peer(), and update_peer().

struct ast_ha* ha`[read]`

Access control list

Definition at line 800 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), register_verify(), and sip_destroy_peer().

int inUse

Number of calls in use

Definition at line 770 of file chan_sip.c.

Referenced by function_sippeer(), sip_devicestate(), and update_call_counter().

char language[MAX_LANGUAGE]

Default language for prompts

Definition at line 774 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), function_sippeer(), and temp_peer().

int lastms

How long last response took (in ms), or -1 for no response

Definition at line 795 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), handle_response_peerpoke(), parse_register_contact(), peer_status(), sip_devicestate(), sip_poke_noanswer(), and sip_poke_peer().

int lastmsg

Definition at line 802 of file chan_sip.c.

Referenced by _sip_show_peer().

time_t lastmsgcheck

Last time we checked for MWI

Definition at line 779 of file chan_sip.c.

Referenced by sip_send_mwi_to_peer().

int lastmsgssent

Definition at line 778 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), register_verify(), and sip_send_mwi_to_peer().

char mailbox[AST_MAX_EXTENSION]

Mailbox setting for MWI checks

Definition at line 773 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), function_sippeer(), and sip_send_mwi_to_peer().

int maxms

Max ms we will accept for the host to be up, 0 to not monitor

Definition at line 796 of file chan_sip.c.

Referenced by build_peer(), check_user_full(), create_addr_from_peer(), handle_response_peerpoke(), peer_status(), sip_devicestate(), and sip_poke_peer().

char md5secret[80]

Password in MD5

Definition at line 755 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), and register_verify().

char musicclass[MAX_MUSICCLASS]

Music on Hold class

Definition at line 775 of file chan_sip.c.

Referenced by build_peer(), and temp_peer().

ast_group_t pickupgroup

Pickup group

Definition at line 789 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and create_addr_from_peer().

int pokeexpire

When to expire poke (qualify= checking)

Definition at line 794 of file chan_sip.c.

Referenced by build_peer(), handle_response_peerpoke(), reg_source_db(), sip_destroy_peer(), sip_poke_noanswer(), sip_poke_peer(), sip_poke_peer_s(), and temp_peer().

struct ast_codec_pref prefs`[read]`

codec prefs

Definition at line 777 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), function_sippeer(), and temp_peer().

struct timeval ps`[read]`

Ping send time

Definition at line 797 of file chan_sip.c.

Referenced by handle_response_peerpoke(), and sip_poke_peer().

char regexten[AST_MAX_EXTENSION]

Extension to register (if regcontext is used)

Definition at line 763 of file chan_sip.c.

Referenced by build_peer(), function_sippeer(), and register_peer_exten().

int rtpholdtimeout

RTP Hold Timeout

Definition at line 786 of file chan_sip.c.

Referenced by build_peer(), create_addr_from_peer(), and temp_peer().

int rtpkeepalive

Send RTP packets for keepalive

Definition at line 787 of file chan_sip.c.

Referenced by build_peer(), create_addr_from_peer(), and temp_peer().

int rtptimeout

RTP timeout

Definition at line 785 of file chan_sip.c.

Referenced by build_peer(), create_addr_from_peer(), and temp_peer().

char secret[80]

Password

Definition at line 754 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), and register_verify().

unsigned int sipoptions

Supported SIP options

Definition at line 781 of file chan_sip.c.

Referenced by _sip_show_peer(), check_user_full(), and parse_register_contact().

char subscribecontext[AST_MAX_CONTEXT]

Default context for subscriptions

Definition at line 758 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), and temp_peer().

char tohost[MAXHOSTNAMELEN]

If not dynamic, IP address

Definition at line 762 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), create_addr_from_peer(), and sip_poke_peer().

char useragent[256]

User agent in SIP request (saved from registration)

Definition at line 776 of file chan_sip.c.

Referenced by _sip_show_peer(), function_sippeer(), and parse_register_contact().

char username[80]

Temporary username until registration

Definition at line 759 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), check_user_full(), create_addr_from_peer(), parse_register_contact(), reg_source_db(), and update_peer().

char vmexten[AST_MAX_EXTENSION]

Dialplan extension for MWI notify message

Definition at line 772 of file chan_sip.c.

Referenced by _sip_show_peer(), build_peer(), and sip_send_mwi_to_peer().

The documentation for this struct was generated from the following file:

- chan_sip.c